%define name	digikam
%define version 0.7.2
## Distribution Specific Release Tag
%{?!mkrel: %define mkrel(c:) %{-c:0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*)(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}
%define release %mkrel 2

%define major 0
%define libname %mklibname %{name} %{major}
%define libnamedev %mklibname %{name} %{major} -d

Summary: 	GPhoto2 KDE3 frontend
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source: 	http://digikam.free.fr/Tarballs/%{name}-%{version}.tar.bz2
Group: 		Graphics
License: 	GPL
URL: 		http://digikam.sourceforge.net/
Requires: 	libgphoto2 >= 2.0-1mdk
Requires:	libgphoto-hotplug
BuildRequires: 	libgphoto-devel gphoto2 fam-devel imlib2-devel automake1.8
BuildRequires:	libexif-devel libkexif-devel >= 0.2 libimlib-devel
BuildRequires:	XFree86-devel kdesdk kdelibs-devel libkipi-devel
BuildRequires:	libgdbm-devel
Conflicts:      digikam-plugins
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Patch1:		digikam-default-photo-directory.patch.bz2

Patch2:		digikam-0.7.2-fix-makefile.patch.bz2
Patch3:		digikam-0.7.2-fix-compile-first.patch.bz2
Patch4:		digikam-0.7.2-fix-showfoto-icons.patch.bz2

%description
Digikam is a fine KDE interface for gphoto2.
Designed to be a standalone application to preview and download images 
from a digital camera on a linux machine.

%package -n	%{libname}
Summary:	GPhoto2 KDE3 frontend libraries
Group:		System/Libraries		

%description -n	%{libname}
Digikam is a fine KDE interface for gphoto2.
Designed to be a standalone application to preview and download images
from a digital camera on a linux machine.

%package -n	%{libnamedev}
Summary:	GPhoto2 KDE3 frontend libraries
Group:		System/Libraries
Provides:	libdigikam-devel
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libnamedev}
Digikam is a fine KDE interface for gphoto2.
Designed to be a standalone application to preview and download images
from a digital camera on a linux machine.

%prep
%setup -q -n %{name}-%{version}
# REAPPLY
#%patch1 -p1 -b .default_photo_directory
%patch3 -p0 -b .fix_compile_first
%patch4 -p1 -b .fix_showfoto_icons

%build -n digikam-%{version}

make -f admin/Makefile.common
export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%{_lib}:$KDEDIR/%{_lib}:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
#export WANT_AUTOCONF_2_5=1

CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
        --enable-mt \
		--with-qt-dir=$QTDIR --with-qt-libraries=$QTDIR/%{_lib} \
	--mandir=%_datadir/man \
        --disable-debug --disable-rpath --libdir=%_libdir

%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}
# Create LMDK menu entries
install -d %buildroot/%_menudir/

# %%_datadir/System/ScreenSavers/
kdedesktop2mdkmenu.pl %name Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/digikam.desktop %buildroot/%_menudir/%name 
perl -pi -e 's!title="digikam"!title="Digikam"!' %buildroot/%_menudir/%name

kdedesktop2mdkmenu.pl %name Multimedia/Graphics %buildroot/%_datadir/applications/kde/showfoto.desktop %buildroot/%_menudir/showfoto


# menu icons
#mkdir -p %buildroot/%_liconsdir %buildroot/%_iconsdir %buildroot/%_miconsdir
#install -m 644 digikamcameraclient/pics/hi16-app-digikamcameraclient.png %buildroot/%_miconsdir/%name.png
#install -m 644 digikamcameraclient/pics/hi32-app-digikamcameraclient.png %buildroot/%_iconsdir/%name.png
#install -m 644 digikamcameraclient/pics/hi48-app-digikamcameraclient.png %buildroot/%_liconsdir/%name.png

%{find_lang} %{name}
%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%_libdir/*.so.*
%_libdir/kde3/kio_digikamthumbnail.la
%_libdir/kde3/kio_digikamthumbnail.so
%_libdir/kde3/digikamimageplugin_core.la
%_libdir/kde3/digikamimageplugin_core.so
%_libdir/kde3/kio_digikamio.la
%_libdir/kde3/kio_digikamio.so
%_libdir/kde3/kio_digikamtags.la
%_libdir/kde3/kio_digikamtags.so



%files -n %libnamedev
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*.*a
%_includedir/digikam/*

%files  -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%doc TODO

%_bindir/*
%_menudir/*

%dir %_datadir/apps/digikam/themes/
%_datadir/apps/digikam/themes/*

%_datadir/apps/digikam/*.rc
	  

%dir %_docdir/HTML/en/digikam
%dir %_datadir/apps/digikam
%dir %_docdir/HTML/en/digikam/common
%doc %_docdir/HTML/en/digikam/*.docbook
%doc %_docdir/HTML/en/digikam/*.bz2

%dir %_docdir/HTML/da/digikam/
%doc %_docdir/HTML/da/digikam/common
%doc %_docdir/HTML/da/digikam/*.bz2
%doc %_docdir/HTML/da/digikam/*.docbook

%dir %_docdir/HTML/et/digikam/
%doc %_docdir/HTML/et/digikam/common
%doc %_docdir/HTML/et/digikam/*.bz2
%doc %_docdir/HTML/et/digikam/*.docbook

%dir %_docdir/HTML/it/digikam/
%doc %_docdir/HTML/it/digikam/addcamera.png
%doc %_docdir/HTML/it/digikam/common
%doc %_docdir/HTML/it/digikam/imageeditor.png
%doc %_docdir/HTML/it/digikam/*.bz2
%doc %_docdir/HTML/it/digikam/*.docbook
%doc %_docdir/HTML/it/digikam/mainwindow.png
%doc %_docdir/HTML/it/digikam/setupalbum.png

%dir %_docdir/HTML/nl/digikam/
%doc %_docdir/HTML/nl/digikam/common
%doc %_docdir/HTML/nl/digikam/*.bz2
%doc %_docdir/HTML/nl/digikam/*.docbook

%dir %_docdir/HTML/pt/digikam/
%doc %_docdir/HTML/pt/digikam/common
%doc %_docdir/HTML/pt/digikam/*.bz2
%doc %_docdir/HTML/pt/digikam/*.docbook

%dir %_docdir/HTML/pt_BR/digikam/
%doc %_docdir/HTML/pt_BR/digikam/*.png
%doc %_docdir/HTML/pt_BR/digikam/common
%doc %_docdir/HTML/pt_BR/digikam/*.bz2
%doc %_docdir/HTML/pt_BR/digikam/*.docbook
%doc %_docdir/HTML/pt_BR/digikam/README

%dir %_docdir/HTML/sv/digikam/
%doc %_docdir/HTML/sv/digikam/common
%doc %_docdir/HTML/sv/digikam/*.bz2
%doc %_docdir/HTML/sv/digikam/*.docbook
%doc %_docdir/HTML/sv/digikam/*.png
#%doc %_docdir/HTML/sv/digikam/README


%_datadir/applnk/Graphics/digikam.desktop
%_datadir/apps/digikam/digikamui.rc

%_datadir/applications/kde/showfoto.desktop
%_datadir/apps/showfoto/showfotoui.rc
%_docdir/HTML/en/digikam/README
		 

%dir %_datadir/apps/digikam/data/
%_datadir/apps/digikam/data/*.png
%_datadir/apps/digikam/tips


%_docdir/HTML/en/digikam/*.png

%_datadir/services/digikamimageplugin_core.desktop
%_datadir/services/digikamio.protocol
%_datadir/services/digikamtags.protocol
%_datadir/servicetypes/digikamimageplugin.desktop

%_datadir/services/digikamthumbnail.protocol

%_datadir/apps/digikam/icons/hicolor/32x32/actions/*.png

 
%_datadir/icons/crystalsvg/128x128/apps/digikam.png
%_datadir/icons/crystalsvg/16x16/apps/digikam.png
%_datadir/icons/crystalsvg/22x22/apps/digikam.png
%_datadir/icons/crystalsvg/32x32/apps/digikam.png
%_datadir/icons/crystalsvg/48x48/apps/digikam.png
%_datadir/icons/crystalsvg/64x64/apps/digikam.png


%_datadir/apps/digikam/*.png


%changelog
* Thu Mar 31 2005 Till Kamppeter <till@mandrakesoft.com> 0.7.2-2mdk
- Added "Requires: libgphoto-hotplug" (bug 15135).

* Thu Mar 03 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-1mdk
- 0.7.2

* Tue Mar 01 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-0.beta1.3mdk
- Fix icon in showFoto

* Mon Feb 14 2005 Angelo Naselli <anaselli@mandrake.org> 0.7.2-0.beta1.2mdk
- added conflicts with old digikam-plugins (Frederik Himpe)
- DistroSpecificReleaseTag suppor

* Tue Feb 08 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-0.beta1.1mdk
- 0.7.2-beta1

* Tue Jan 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1

* Tue Dec 28 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.7.1-0.beta2.4mdk
- add BuildRequires: libgdbm-devel

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.7.1-0.beta2.3mdk
- use automake1.8
- wipe out buildroot in %%install, not %%prep

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-0.beta2.2mdk
- Rebuild with new libkexif

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-0.beta2.1mdk
- 0.7.2-beta2

* Fri Dec 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-0.beta1.2mdk
- Fix menu

* Fri Dec 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-0.beta1.1mdk
- 0.7.1-beta1

* Mon Dec 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-2mdk
- Fix menu

* Tue Nov 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-1mdk
- 0.7

* Tue Nov 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-0.rc1.2mdk
- Reapply Gb fixe (sorry :( )

* Wed Nov 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-0.rc1.1mdk
- 0.7

* Tue Aug 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-3mdk
- Translate phto directory

* Thu Aug 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-2mdk
- Add patch1: fix default photo directory

* Fri Jun 18 2004 Laurent Culioli <laurent@mandrake.org> 0.6.2-1mdk
- 0.6.2
- add menu icons

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-0.rc1.3mdk
- Rebuilld

* Tue Jun 01 2004 Marcel Pol <mpol@mandrake.org> 0.6.2-0.rc1.2mdk
- buildrequires (slbd)
- drop WANT_AUTOCONF_2_5

* Tue May 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-0.rc1.1mdk
- 0.6.2-rc1

* Thu May 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

* Mon Feb 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6-1mdk
- 0.6

* Wed Jan 28 2004 Till Kamppeter <till@mandrakesoft.com> 0.6.0-0.2mdk
- Rebuilt.

* Wed Jan 28 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-0.1mdk
- libification
- from Arnaud de Villele <arnorpm@free.fr> : 
	- add BuildRequires:	libimlib1-devel
	- add BuildRequires:	libxfree86-devel
	- update source from 0.6.0 RC2 cvs snapshot 2004 01 13

* Fri Aug 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-4mdk
- from Xavier Granier <xavier.granier@laposte.net> :
	- Move menu to Multimedia/Graphics
	- add BuildRequires:            libexif7-devel


* Tue Jul 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-3mdk
- add in-spec-menu

* Tue Jul 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-2mdk
- adjust buildrequires

* Wed Jul 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- from Gilles CAULIER <caulier.gilles@free.fr> :
	- Update release 0.5.0 : KDE3 port. Update spec file.

* Fri Jul 12 2002 Gilles CAULIER <caulier.gilles@free.fr> 0.4.1-2mdk
- Fix some bugs on 'spec' file

* Mon Jul 08 2002 Gilles CAULIER <caulier.gilles@free.fr> 0.4.1-1mdk
- Original release
